/*
 * Copyright 2008 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.lucis.core.support;

import net.sf.lucis.core.Queryable;
import net.sf.lucis.core.Store;
import net.sf.lucis.core.impl.DefaultQueryable;
import net.sf.lucis.core.impl.SingleSearcherProvider;

import org.apache.lucene.store.Directory;

public final class Queryables {
	/** Not instantiable. */
	private Queryables() {
		throw new AssertionError();
	}

	public static Queryable simple(Directory directory) {
		return new DefaultQueryable(SingleSearcherProvider.of(directory));
	}

	public static Queryable simple(Store<?> store) {
		return new DefaultQueryable(SingleSearcherProvider.of(store));
	}
}
